;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  Instruction INI file for HECI installer
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\Intel(R) Management Engine Interface
startfolder=Intel(R) Management Engine Interface
[/variables]


[copy file]
source=%path%\setup.exe
destination=%system%\heciudlg.exe
uninstall=false
[/copy file]

[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
[/copy file]

[copy file]
source=%path%\x64\difxapi.dll
destination=%system%\x64\difxapi.dll
uninstall=false
condition=IsWoW
[/copy file]

[copy file]
source=%path%\x64\Difx64.exe
destination=%system%\x64\Difx64.exe
uninstall=false
condition=IsWoW
[/copy file]

[copy file]
source=%path%\Lang\HECI\%lang%\HECI%lang%.dll
destination=%system%\Lang\HECI\%lang%\HECI%lang%.dll
uninstall=true
error=ignore
[/copy file]

[copy file]
source=%path%\Lang\HECI\%lang%\license.txt
destination=%installdir%\license.txt
uninstall=true
error=ignore
[/copy file]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=DisplayName
keydata=Intel(R) Management Engine Interface
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=UninstallString
keydata=%system%\heciudlg.exe -uninstall
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=Publisher
keydata=Intel Corporation
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=NoModify
keydata=1
keytype=dw
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=NoRepair
keydata=1
keytype=dw
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=DisplayIcon
keydata=%system%\heciudlg.exe,0
keytype=sz
uninstall=true
[/registry]
